var testResource = require('../../../test_resource'),
    expandGlob = require('../../../../lib/file/expand_glob');

exports['Expand a glob patterns.'] = function (test) {
    var pattern = testResource.resolveMockFile('**/*.js');
    expandGlob([ pattern], function (err, filenames) {
        test.ifError(err);
        test.ok(filenames);
        test.done();
    });
};


exports['Handle errors.'] = function (test) {
    expandGlob(['foo/+(*. qwerj[!\\', null], function (err, filenames) {
        test.ok(err);
        test.done();
    });
};


